Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom
Class TextImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.CharacterDataImpl
                        |
                        +--weblogic.apache.xerces.dom.TextImpl

Direct Known Subclasses:
  CDATASectionImpl, DeferredTextImpl

public class TextImpl
extends CharacterDataImpl
implements org.w3c.dom.CharacterData, org.w3c.dom.Text

Text nodes hold the non-markup, non-Entity content of an Element or Attribute.

When a document is first made available to the DOM, there is only one Text object for each block of adjacent plain-text. Users (ie, applications) may create multiple adjacent Texts during editing -- see `Node.normalize()` for discussion.

Note that CDATASection is a subclass of Text. This is conceptually valid, since they're really just two different ways of quoting characters when they're written out as part of an XML stream.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`TextImpl(DocumentImpl ownerDoc, java.lang.String data)` Factory constructor.

Method Summary
`java.lang.String` | `getNodeName()` Returns the node name.
`short` | `getNodeType()` A short integer indicating what type of node this is.
`boolean` | `isIgnorableWhitespace()` NON-DOM: Returns whether this Text is ignorable whitespace.
`void` | `setIgnorableWhitespace(boolean ignore)` NON-DOM: Set whether this Text is ignorable whitespace.
`org.w3c.dom.Text` | `splitText(int offset)` Break a text node into two sibling nodes.

Methods inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getAttributes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getUserData, hasAttributes, hasChildNodes, insertBefore, item, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setUserData, supports, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextImpl

    public TextImpl(DocumentImpl ownerDoc,
                    java.lang.String data)

  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Overrides:
    getNodeType in class NodeImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the node name.

  Overrides:
    getNodeName in class NodeImpl

### setIgnorableWhitespace

    public void setIgnorableWhitespace(boolean ignore)

  NON-DOM: Set whether this Text is ignorable whitespace.

### isIgnorableWhitespace

    public boolean isIgnorableWhitespace()

  NON-DOM: Returns whether this Text is ignorable whitespace.

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Break a text node into two sibling nodes. (Note that if the current node has no parent, they won't wind up as "siblings" -- they'll both be orphans.)
  Specified by:
    splitText in interface org.w3c.dom.Text

  Parameters:
    `offset` - The offset at which to split. If offset is at the end of the available data, the second node will be empty.
  Throws:
    DOMException(INDEX_SIZE_ERR) - if offset is <0 or >length.
    DOMException(NO_MODIFICATION_ALLOWED_ERR) - if node is read-only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD